//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules
#include "PSoCGPioInt.h"

int  iResult; 

void main(void)
{
	// M8C_EnableGInt ; // Uncomment this line to enable Global Interrupts
	// Insert your main routine code here.
	PGA_1_Start(PGA_1_HIGHPOWER);
	PGA_2_Start(PGA_1_HIGHPOWER);
//	PGA_1_GAIN_CR3 |=0x2;
//	PGA_2_GAIN_CR3 |=0x2;
   	ADCINC_1_Start(ADCINC_1_HIGHPOWER); /* Turn on ADC power */
   	ADCINC_1_GetSamples(0);            /* Sample forever */
    
   	while(1) {
   		if (ADCINC_1_fIsDataAvailable() != 0) /* If ADC sample is ready... */
    	{	
        	iResult = ADCINC_1_iGetData() + 2048; /* Get result, convert to unsigned and clear flag */
        	ADCINC_1_fClearFlag();
		}
	}
}